import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const url = [
 'https://gist.githubusercontent.com', //web
      '/yiorgosbagakis', //user
      '/c3bb0aa590d0685c484b2459be4a7b75/raw', //commit
      '/euCountriesStatistics.csv']
const csvUrl = url.join('')
const parseRow = (d) => {	
      d.density_per_sqKm = +d.density_per_sqKm;
      d.fertility_rate = +d.fertility_rate;
      d.median_age = +d.median_age;
      d.land_area_sqKm = +d.land_area_sqKm;
      d.migrants_net = +d.migrants_net;
      d.net_change = +d.net_change;
      d.population = +d.population;
      d.urban_population_percent = +d.urban_population_percent;
      d.world_share = +d.world_share;
      d.yearly_change = +d.yearly_change;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.urban_population_percent)
    .yValue((d) => d.fertility_rate)
    .margin({
      top: 50,
      right: 60,
      bottom: 80,
      left: 100,
    })
    .radius(10)
  	.xLabel('Urban population %')
  	.yLabel('Fertility rate');


  svg.call(plot);

  // const columns = [
  //   'petal_width',
  //   'sepal_width',
  //   'petal_length',
  //   'sepal_length',
  // ];
  // let i = 0;
  // setInterval(() => {
  //   plot.xValue((d) => d[columns[i % columns.length]]);
  //   svg.call(plot);
  //   i++;
  // }, 0);
};
main();



